org.eclipse.ease.lang.unittest.definition

## Interface IDefinitionPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DefinitionPackage

    public interface IDefinitionPackage
    extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `IDefinitionFactory`

### Nested Class Summary

Nested Classes
`static interface` `IDefinitionPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Field Summary

Fields
`static int` `CODE` The meta object id for the '`Code`' class.
`static int` `CODE__CONTENT` The feature id for the 'Content' attribute.
`static int` `CODE__LOCATION` The feature id for the 'Location' attribute.
`static int` `CODE_FEATURE_COUNT` The number of structural features of the 'Code' class.
`static int` `CODE_OPERATION_COUNT` The number of operations of the 'Code' class.
`static IDefinitionPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FLAG` The meta object id for the '`Flag`' enum.
`static int` `FLAG_TO_STRING_MAP` The meta object id for the '`Flag To String Map`' class.
`static int` `FLAG_TO_STRING_MAP__KEY` The feature id for the 'Key' attribute.
`static int` `FLAG_TO_STRING_MAP__VALUE` The feature id for the 'Value' attribute.
`static int` `FLAG_TO_STRING_MAP_FEATURE_COUNT` The number of structural features of the 'Flag To String Map' class.
`static int` `FLAG_TO_STRING_MAP_OPERATION_COUNT` The number of operations of the 'Flag To String Map' class.
`static int` `PATH` The meta object id for the 'Path' data type.
`static int` `TEST_SUITE_DEFINITION` The meta object id for the '`Test Suite Definition`' class.
`static int` `TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING` The operation id for the 'Get Custom Code' operation.
`static int` `TEST_SUITE_DEFINITION___GET_VARIABLE__STRING` The operation id for the 'Get Variable' operation.
`static int` `TEST_SUITE_DEFINITION__CUSTOM_CODE` The feature id for the 'Custom Code' containment reference list.
`static int` `TEST_SUITE_DEFINITION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TEST_SUITE_DEFINITION__DISABLED_RESOURCES` The feature id for the 'Disabled Resources' attribute list.
`static int` `TEST_SUITE_DEFINITION__EXCLUDE_FILTER` The feature id for the 'Exclude Filter' attribute.
`static int` `TEST_SUITE_DEFINITION__FLAGS` The feature id for the 'Flags' map.
`static int` `TEST_SUITE_DEFINITION__INCLUDE_FILTER` The feature id for the 'Include Filter' attribute.
`static int` `TEST_SUITE_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `TEST_SUITE_DEFINITION__RESOURCE` The feature id for the 'Resource' attribute.
`static int` `TEST_SUITE_DEFINITION__VARIABLES` The feature id for the 'Variables' containment reference list.
`static int` `TEST_SUITE_DEFINITION__VERSION` The feature id for the 'Version' attribute.
`static int` `TEST_SUITE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Test Suite Definition' class.
`static int` `TEST_SUITE_DEFINITION_OPERATION_COUNT` The number of operations of the 'Test Suite Definition' class.
`static int` `VARIABLE` The meta object id for the '`Variable`' class.
`static int` `VARIABLE___GET_NAME` The operation id for the 'Get Name' operation.
`static int` `VARIABLE___GET_PATH` The operation id for the 'Get Path' operation.
`static int` `VARIABLE__CONTENT` The feature id for the 'Content' attribute.
`static int` `VARIABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `VARIABLE__ENUM_PROVIDER_ID` The feature id for the 'Enum Provider ID' attribute.
`static int` `VARIABLE__FULL_NAME` The feature id for the 'Full Name' attribute.
`static int` `VARIABLE_FEATURE_COUNT` The number of structural features of the 'Variable' class.
`static int` `VARIABLE_OPERATION_COUNT` The number of operations of the 'Variable' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EAttribute` `getCode_Content()` Returns the meta object for the attribute '`Content`'.
`org.eclipse.emf.ecore.EAttribute` `getCode_Location()` Returns the meta object for the attribute '`Location`'.
`org.eclipse.emf.ecore.EClass` `getCode()` Returns the meta object for class '`Code`'.
`IDefinitionFactory` `getDefinitionFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EEnum` `getFlag()` Returns the meta object for enum '`Flag`'.
`org.eclipse.emf.ecore.EAttribute` `getFlagToStringMap_Key()` Returns the meta object for the attribute '`Key`'.
`org.eclipse.emf.ecore.EAttribute` `getFlagToStringMap_Value()` Returns the meta object for the attribute '`Value`'.
`org.eclipse.emf.ecore.EClass` `getFlagToStringMap()` Returns the meta object for class '`Flag To String Map`'.
`org.eclipse.emf.ecore.EDataType` `getPath()` Returns the meta object for data type '`Path`'.
`org.eclipse.emf.ecore.EOperation` `getTestSuiteDefinition__GetCustomCode__String()` Returns the meta object for the '`Get Custom Code`' operation.
`org.eclipse.emf.ecore.EOperation` `getTestSuiteDefinition__GetVariable__String()` Returns the meta object for the '`Get Variable`' operation.
`org.eclipse.emf.ecore.EReference` `getTestSuiteDefinition_CustomCode()` Returns the meta object for the containment reference list '`Custom Code`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_DisabledResources()` Returns the meta object for the attribute list '`Disabled Resources`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_ExcludeFilter()` Returns the meta object for the attribute '`Exclude Filter`'.
`org.eclipse.emf.ecore.EReference` `getTestSuiteDefinition_Flags()` Returns the meta object for the map '`Flags`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_IncludeFilter()` Returns the meta object for the attribute '`Include Filter`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Resource()` Returns the meta object for the attribute '`Resource`'.
`org.eclipse.emf.ecore.EReference` `getTestSuiteDefinition_Variables()` Returns the meta object for the containment reference list '`Variables`'.
`org.eclipse.emf.ecore.EAttribute` `getTestSuiteDefinition_Version()` Returns the meta object for the attribute '`Version`'.
`org.eclipse.emf.ecore.EClass` `getTestSuiteDefinition()` Returns the meta object for class '`Test Suite Definition`'.
`org.eclipse.emf.ecore.EOperation` `getVariable__GetName()` Returns the meta object for the '`Get Name`' operation.
`org.eclipse.emf.ecore.EOperation` `getVariable__GetPath()` Returns the meta object for the '`Get Path`' operation.
`org.eclipse.emf.ecore.EAttribute` `getVariable_Content()` Returns the meta object for the attribute '`Content`'.
`org.eclipse.emf.ecore.EAttribute` `getVariable_Description()` Returns the meta object for the attribute '`Description`'.
`org.eclipse.emf.ecore.EAttribute` `getVariable_EnumProviderID()` Returns the meta object for the attribute '`Enum Provider ID`'.
`org.eclipse.emf.ecore.EAttribute` `getVariable_FullName()` Returns the meta object for the attribute '`Full Name`'.
`org.eclipse.emf.ecore.EClass` `getVariable()` Returns the meta object for class '`Variable`'.

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values

#### eINSTANCE

    static final IDefinitionPackage eINSTANCE

The singleton instance of the package.

#### TEST_SUITE_DEFINITION

    static final int TEST_SUITE_DEFINITION

The meta object id for the '`Test Suite Definition`' class.

See Also:
  `TestSuiteDefinition`, `DefinitionPackage.getTestSuiteDefinition()`, Constant Field Values

#### TEST_SUITE_DEFINITION__NAME

    static final int TEST_SUITE_DEFINITION__NAME

The feature id for the 'Name' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__DESCRIPTION

    static final int TEST_SUITE_DEFINITION__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__INCLUDE_FILTER

    static final int TEST_SUITE_DEFINITION__INCLUDE_FILTER

The feature id for the 'Include Filter' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__EXCLUDE_FILTER

    static final int TEST_SUITE_DEFINITION__EXCLUDE_FILTER

The feature id for the 'Exclude Filter' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__DISABLED_RESOURCES

    static final int TEST_SUITE_DEFINITION__DISABLED_RESOURCES

The feature id for the 'Disabled Resources' attribute list.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__VARIABLES

    static final int TEST_SUITE_DEFINITION__VARIABLES

The feature id for the 'Variables' containment reference list.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__CUSTOM_CODE

    static final int TEST_SUITE_DEFINITION__CUSTOM_CODE

The feature id for the 'Custom Code' containment reference list.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__FLAGS

    static final int TEST_SUITE_DEFINITION__FLAGS

The feature id for the 'Flags' map.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__VERSION

    static final int TEST_SUITE_DEFINITION__VERSION

The feature id for the 'Version' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION__RESOURCE

    static final int TEST_SUITE_DEFINITION__RESOURCE

The feature id for the 'Resource' attribute.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION_FEATURE_COUNT

    static final int TEST_SUITE_DEFINITION_FEATURE_COUNT

The number of structural features of the 'Test Suite Definition' class.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING

    static final int TEST_SUITE_DEFINITION___GET_CUSTOM_CODE__STRING

The operation id for the 'Get Custom Code' operation.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION___GET_VARIABLE__STRING

    static final int TEST_SUITE_DEFINITION___GET_VARIABLE__STRING

The operation id for the 'Get Variable' operation.

See Also:
  Constant Field Values

#### TEST_SUITE_DEFINITION_OPERATION_COUNT

    static final int TEST_SUITE_DEFINITION_OPERATION_COUNT

The number of operations of the 'Test Suite Definition' class.

See Also:
  Constant Field Values

#### VARIABLE

    static final int VARIABLE

The meta object id for the '`Variable`' class.

See Also:
  `Variable`, `DefinitionPackage.getVariable()`, Constant Field Values

#### VARIABLE__FULL_NAME

    static final int VARIABLE__FULL_NAME

The feature id for the 'Full Name' attribute.

See Also:
  Constant Field Values

#### VARIABLE__CONTENT

    static final int VARIABLE__CONTENT

The feature id for the 'Content' attribute.

See Also:
  Constant Field Values

#### VARIABLE__DESCRIPTION

    static final int VARIABLE__DESCRIPTION

The feature id for the 'Description' attribute.

See Also:
  Constant Field Values

#### VARIABLE__ENUM_PROVIDER_ID

    static final int VARIABLE__ENUM_PROVIDER_ID

The feature id for the 'Enum Provider ID' attribute.

See Also:
  Constant Field Values

#### VARIABLE_FEATURE_COUNT

    static final int VARIABLE_FEATURE_COUNT

The number of structural features of the 'Variable' class.

See Also:
  Constant Field Values

#### VARIABLE___GET_NAME

    static final int VARIABLE___GET_NAME

The operation id for the 'Get Name' operation.

See Also:
  Constant Field Values

#### VARIABLE___GET_PATH

    static final int VARIABLE___GET_PATH

The operation id for the 'Get Path' operation.

See Also:
  Constant Field Values

#### VARIABLE_OPERATION_COUNT

    static final int VARIABLE_OPERATION_COUNT

The number of operations of the 'Variable' class.

See Also:
  Constant Field Values

#### FLAG_TO_STRING_MAP

    static final int FLAG_TO_STRING_MAP

The meta object id for the '`Flag To String Map`' class.

See Also:
  `FlagToStringMap`, `DefinitionPackage.getFlagToStringMap()`, Constant Field Values

#### FLAG_TO_STRING_MAP__KEY

    static final int FLAG_TO_STRING_MAP__KEY

The feature id for the 'Key' attribute.

See Also:
  Constant Field Values

#### FLAG_TO_STRING_MAP__VALUE

    static final int FLAG_TO_STRING_MAP__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values

#### FLAG_TO_STRING_MAP_FEATURE_COUNT

    static final int FLAG_TO_STRING_MAP_FEATURE_COUNT

The number of structural features of the 'Flag To String Map' class.

See Also:
  Constant Field Values

#### FLAG_TO_STRING_MAP_OPERATION_COUNT

    static final int FLAG_TO_STRING_MAP_OPERATION_COUNT

The number of operations of the 'Flag To String Map' class.

See Also:
  Constant Field Values

#### CODE

    static final int CODE

The meta object id for the '`Code`' class.

See Also:
  `Code`, `DefinitionPackage.getCode()`, Constant Field Values

#### CODE__LOCATION

    static final int CODE__LOCATION

The feature id for the 'Location' attribute.

See Also:
  Constant Field Values

#### CODE__CONTENT

    static final int CODE__CONTENT

The feature id for the 'Content' attribute.

See Also:
  Constant Field Values

#### CODE_FEATURE_COUNT

    static final int CODE_FEATURE_COUNT

The number of structural features of the 'Code' class.

See Also:
  Constant Field Values

#### CODE_OPERATION_COUNT

    static final int CODE_OPERATION_COUNT

The number of operations of the 'Code' class.

See Also:
  Constant Field Values

#### FLAG

    static final int FLAG

The meta object id for the '`Flag`' enum.

See Also:
  `Flag`, `DefinitionPackage.getFlag()`, Constant Field Values

#### PATH

    static final int PATH

The meta object id for the 'Path' data type.

See Also:
  `IPath`, `DefinitionPackage.getPath()`, Constant Field Values

### Method Detail

#### getTestSuiteDefinition

    org.eclipse.emf.ecore.EClass getTestSuiteDefinition()

Returns the meta object for class '`Test Suite Definition`'.

Returns:
  the meta object for class 'Test Suite Definition'.
See Also:
  `ITestSuiteDefinition`

#### getTestSuiteDefinition_Name

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Name()

Returns the meta object for the attribute '`Name`'.

Returns:
  the meta object for the attribute 'Name'.
See Also:
  `ITestSuiteDefinition.getName()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_Description

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Description()

Returns the meta object for the attribute '`Description`'.

Returns:
  the meta object for the attribute 'Description'.
See Also:
  `ITestSuiteDefinition.getDescription()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_IncludeFilter

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_IncludeFilter()

Returns the meta object for the attribute '`Include Filter`'.

Returns:
  the meta object for the attribute 'Include Filter'.
See Also:
  `ITestSuiteDefinition.getIncludeFilter()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_ExcludeFilter

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_ExcludeFilter()

Returns the meta object for the attribute '`Exclude Filter`'.

Returns:
  the meta object for the attribute 'Exclude Filter'.
See Also:
  `ITestSuiteDefinition.getExcludeFilter()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_DisabledResources

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_DisabledResources()

Returns the meta object for the attribute list '`Disabled Resources`'.

Returns:
  the meta object for the attribute list 'Disabled Resources'.
See Also:
  `ITestSuiteDefinition.getDisabledResources()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_Variables

    org.eclipse.emf.ecore.EReference getTestSuiteDefinition_Variables()

Returns the meta object for the containment reference list '`Variables`'.

Returns:
  the meta object for the containment reference list 'Variables'.
See Also:
  `ITestSuiteDefinition.getVariables()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_CustomCode

    org.eclipse.emf.ecore.EReference getTestSuiteDefinition_CustomCode()

Returns the meta object for the containment reference list '`Custom Code`'.

Returns:
  the meta object for the containment reference list 'Custom Code'.
See Also:
  `ITestSuiteDefinition.getCustomCode()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_Flags

    org.eclipse.emf.ecore.EReference getTestSuiteDefinition_Flags()

Returns the meta object for the map '`Flags`'.

Returns:
  the meta object for the map 'Flags'.
See Also:
  `ITestSuiteDefinition.getFlags()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_Version

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Version()

Returns the meta object for the attribute '`Version`'.

Returns:
  the meta object for the attribute 'Version'.
See Also:
  `ITestSuiteDefinition.getVersion()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition_Resource

    org.eclipse.emf.ecore.EAttribute getTestSuiteDefinition_Resource()

Returns the meta object for the attribute '`Resource`'.

Returns:
  the meta object for the attribute 'Resource'.
See Also:
  `ITestSuiteDefinition.getResource()`, `getTestSuiteDefinition()`

#### getTestSuiteDefinition__GetCustomCode__String

    org.eclipse.emf.ecore.EOperation getTestSuiteDefinition__GetCustomCode__String()

Returns the meta object for the '`Get Custom Code`' operation.

Returns:
  the meta object for the 'Get Custom Code' operation.
See Also:
  `ITestSuiteDefinition.getCustomCode(java.lang.String)`

#### getTestSuiteDefinition__GetVariable__String

    org.eclipse.emf.ecore.EOperation getTestSuiteDefinition__GetVariable__String()

Returns the meta object for the '`Get Variable`' operation.

Returns:
  the meta object for the 'Get Variable' operation.
See Also:
  `ITestSuiteDefinition.getVariable(java.lang.String)`

#### getVariable

    org.eclipse.emf.ecore.EClass getVariable()

Returns the meta object for class '`Variable`'.

Returns:
  the meta object for class 'Variable'.
See Also:
  `IVariable`

#### getVariable_FullName

    org.eclipse.emf.ecore.EAttribute getVariable_FullName()

Returns the meta object for the attribute '`Full Name`'.

Returns:
  the meta object for the attribute 'Full Name'.
See Also:
  `IVariable.getFullName()`, `getVariable()`

#### getVariable_Content

    org.eclipse.emf.ecore.EAttribute getVariable_Content()

Returns the meta object for the attribute '`Content`'.

Returns:
  the meta object for the attribute 'Content'.
See Also:
  `IVariable.getContent()`, `getVariable()`

#### getVariable_Description

    org.eclipse.emf.ecore.EAttribute getVariable_Description()

Returns the meta object for the attribute '`Description`'.

Returns:
  the meta object for the attribute 'Description'.
See Also:
  `IVariable.getDescription()`, `getVariable()`

#### getVariable_EnumProviderID

    org.eclipse.emf.ecore.EAttribute getVariable_EnumProviderID()

Returns the meta object for the attribute '`Enum Provider ID`'.

Returns:
  the meta object for the attribute 'Enum Provider ID'.
See Also:
  `IVariable.getEnumProviderID()`, `getVariable()`

#### getVariable__GetName

    org.eclipse.emf.ecore.EOperation getVariable__GetName()

Returns the meta object for the '`Get Name`' operation.

Returns:
  the meta object for the 'Get Name' operation.
See Also:
  `IVariable.getName()`

#### getVariable__GetPath

    org.eclipse.emf.ecore.EOperation getVariable__GetPath()

Returns the meta object for the '`Get Path`' operation.

Returns:
  the meta object for the 'Get Path' operation.
See Also:
  `IVariable.getPath()`

#### getFlagToStringMap

    org.eclipse.emf.ecore.EClass getFlagToStringMap()

Returns the meta object for class '`Flag To String Map`'.

Returns:
  the meta object for class 'Flag To String Map'.
See Also:
  `Map.Entry`

#### getFlagToStringMap_Key

    org.eclipse.emf.ecore.EAttribute getFlagToStringMap_Key()

Returns the meta object for the attribute '`Key`'.

Returns:
  the meta object for the attribute 'Key'.
See Also:
  `Map.Entry`, `getFlagToStringMap()`

#### getFlagToStringMap_Value

    org.eclipse.emf.ecore.EAttribute getFlagToStringMap_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `Map.Entry`, `getFlagToStringMap()`

#### getCode

    org.eclipse.emf.ecore.EClass getCode()

Returns the meta object for class '`Code`'.

Returns:
  the meta object for class 'Code'.
See Also:
  `ICode`

#### getCode_Location

    org.eclipse.emf.ecore.EAttribute getCode_Location()

Returns the meta object for the attribute '`Location`'.

Returns:
  the meta object for the attribute 'Location'.
See Also:
  `ICode.getLocation()`, `getCode()`

#### getCode_Content

    org.eclipse.emf.ecore.EAttribute getCode_Content()

Returns the meta object for the attribute '`Content`'.

Returns:
  the meta object for the attribute 'Content'.
See Also:
  `ICode.getContent()`, `getCode()`

#### getFlag

    org.eclipse.emf.ecore.EEnum getFlag()

Returns the meta object for enum '`Flag`'.

Returns:
  the meta object for enum 'Flag'.
See Also:
  `Flag`

#### getPath

    org.eclipse.emf.ecore.EDataType getPath()

Returns the meta object for data type '`Path`'.

Returns:
  the meta object for data type 'Path'.
See Also:
  `IPath`

#### getDefinitionFactory

    IDefinitionFactory getDefinitionFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.